#Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utiliz
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/VV_Microdati_2019_Individui.txt", sep="")
DF_VV_A2019_Individui<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_VV_A2019_Individui, "label") <- c(
"tipo record",
"mese di riferimento dei dati",
"anno di riferimento dei dati",
"Numero d'ordine progressivo individuale sull'anno",
"sesso",
"Classi di eta' in anni compiuti",
"stato civile",
"riservato ISTAT",
"regione di residenza",
"ripartizione geografica di residenza",
"titolo di studio piu' alto conseguito",
"condizione professionale oggettiva",
"posizione nella professione",
"settore di attivita' economica",
"condizione professionale soggettiva",
"tipo di orario di lavoro",
"tipo di rapporto di lavoro",
"codifica della professione lavorativa (Grandi gruppi)",
"motivo per cui l'individuo non ha effettuato vacanze nel mese",
"numero totale viaggi di lavoro abituali nel mese",
"numero totale di notti per viaggi di lavoro abituali nel mese",
"numero totale viaggi di vacanza abituali nel mese",
"numero totale di notti per viaggi di vacanza abituali nel mese",
"presenza escursioni effettuate dall'individuo nel mese",
"numero escursioni effettuate dall'individuo nel mese",
"presenza viaggi effettuati dall'individuo nel mese",
"numero viaggi effettuati dall'individuo nel mese",
"presenza viaggi di lavoro effettuati dall'individuo nel mese",
"numero viaggi di lavoro effettuati dall'individuo nel mese",
"presenza viaggi di vacanza effettuati dall'individuo nel mese",
"numero viaggi di vacanza effettuati dall'individuo nel mese",
"presenza viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese",
"numero viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese",
"presenza viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese",
"numero viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese",
"coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre",
"coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno",
"trimestre di riferimento dei dati",
"numero componenti della famiglia di fatto dell'intervista iniziale",
"paese di nascita")

tr_Fact <- factor(DF_VV_A2019_Individui$tr, 
levels=c("02", 
"03", 
"04"), 
labels=c("Record individuale", 
"Record viaggi", 
"Record escursioni")) 


sesso_Fact <- factor(DF_VV_A2019_Individui$sesso, 
levels=c("1", 
"2"), 
labels=c("Maschi", 
"Femmine")) 


eta10_Fact <- factor(DF_VV_A2019_Individui$eta10, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08"), 
labels=c("<=14 anni", 
"15-24 anni", 
"25-34 anni", 
"35-44 anni", 
"45-54 anni", 
"55-64 anni", 
"65-74 anni", 
">=75 anni")) 


staciv4_Fact <- factor(DF_VV_A2019_Individui$staciv4, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Celibe/nubile", 
"Coniugato", 
"Separato/Divorziato", 
"Vedovo")) 


citt_Fact <- factor(DF_VV_A2019_Individui$citt, 
levels=c("1", 
"2"), 
labels=c("Italiana", 
"Estera")) 


reg_Fact <- factor(DF_VV_A2019_Individui$reg, 
levels=c("010", 
"020", 
"030", 
"040", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta/Vallee' d'Aoste", 
"Lombardia", 
"Trentino A.Adige/Sudtirol", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


rip_Fact <- factor(DF_VV_A2019_Individui$rip, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


istr4_Fact <- factor(DF_VV_A2019_Individui$istr4, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Nessun titolo/Licenza elementare", 
"Licenza di scuola media (o avviamento professionale)", 
"Diploma di scuola secondaria superiore o qualifica professionale", 
"Diploma universitario, ex scuole parauniversitarie, laurea, post laurea")) 


condogg_Fact <- factor(DF_VV_A2019_Individui$condogg, 
levels=c("01", 
"02", 
"03"), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Inattivo")) 


posiz4_Fact <- factor(DF_VV_A2019_Individui$posiz4, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Dirigente, direttivo, quadro, impiegato", 
"Operaio apprendista lavorante a domicilio per conto d''impresa", 
"Imprenditore, libero professionista", 
"Lavoratore in proprio, socio cooperativa, coadiuvante, co.co.pro, prestazione opera occasionale")) 


ateco3_Fact <- factor(DF_VV_A2019_Individui$ateco3, 
levels=c("01", 
"02", 
"03"), 
labels=c("Settore primario", 
"Settore secondario", 
"Settore terziario")) 


cond4_Fact <- factor(DF_VV_A2019_Individui$cond4, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Casalinga/studente/altra condizione", 
"Persona ritirata dal lavoro")) 


ORARIO_Fact <- factor(DF_VV_A2019_Individui$ORARIO, 
levels=c("1", 
"2"), 
labels=c("A tempo pieno", 
"A tempo parziale")) 


RAPP_Fact <- factor(DF_VV_A2019_Individui$RAPP, 
levels=c("1", 
"2"), 
labels=c("A tempo determinato", 
"A tempo indeterminato")) 


CODPROF7_Fact <- factor(DF_VV_A2019_Individui$CODPROF7, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Imprenditori e alta dirigenza", 
"Professioni della conoscenza", 
"Professioni esecutive di ufficio", 
"Professioni qualificate nel commercio e nei servizi", 
"Professioni manuali qualificate", 
"Professioni manuali non qualificate", 
"Forze armate")) 


novac_Fact <- factor(DF_VV_A2019_Individui$novac, 
levels=c("01", 
"02", 
"03", 
"04", 
"99"), 
labels=c("Motivi economici", 
"Motivi di lavoro,studio,familiari", 
"Mancanza di abitudine", 
"Altri motivi (inclusi motivi di salute)", 
"Non sa, non risponde")) 


IESC_Fact <- factor(DF_VV_A2019_Individui$IESC, 
levels=c("0", 
"1"), 
labels=c("Nessuna escursione dell'individuo", 
"Almeno un'escursione dell'individuo")) 


ivia_Fact <- factor(DF_VV_A2019_Individui$ivia, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio dell'individuo", 
"Almeno un viaggio dell'individuo")) 


ilav_Fact <- factor(DF_VV_A2019_Individui$ilav, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di lavoro dell'individuo", 
"Almeno un viaggio di lavoro dell'individuo")) 


ivac_Fact <- factor(DF_VV_A2019_Individui$ivac, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza dell'individuo", 
"Almeno un viaggio di vacanza dell'individuo")) 


ibreve_Fact <- factor(DF_VV_A2019_Individui$ibreve, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza 1-3 notti dell'individuo", 
"Almeno un viaggio di vacanza 1-3 notti dell'individuo")) 


ilunga_Fact <- factor(DF_VV_A2019_Individui$ilunga, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza lunga dell'individuo", 
"Almeno un viaggio di vacanza lunga dell'individuo")) 


TRIM_Fact <- factor(DF_VV_A2019_Individui$TRIM, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Gennaio-Marzo", 
"Aprile-Giugno", 
"Luglio-Settembre", 
"Ottobre-Dicembre")) 


ncomp_Fact <- factor(DF_VV_A2019_Individui$ncomp, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("1 componente", 
"2 componenti", 
"3 componenti", 
"4 componenti", 
"5 componenti", 
"6 o piu' componenti")) 


pnasc_Fact <- factor(DF_VV_A2019_Individui$pnasc, 
levels=c("1", 
"2"), 
labels=c("Italia", 
"Estero")) 

